/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.impl;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.executePlan.db.dao.AtuPlanEnvLinkDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanEnvLink;
import net.northking.cctp.executePlan.db.service.AtuPlanEnvLinkService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 计划环境关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-30 10:30:29  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuPlanEnvLinkServiceImpl")
public class AtuPlanEnvLinkServiceImpl extends PaginationService<AtuPlanEnvLink> implements AtuPlanEnvLinkService
{
private static final Logger logger = LoggerFactory.getLogger(AtuPlanEnvLinkServiceImpl.class);

  private final AtuPlanEnvLinkDao atuPlanEnvLinkDao;

  public AtuPlanEnvLinkServiceImpl(AtuPlanEnvLinkDao atuPlanEnvLinkDao) {this.atuPlanEnvLinkDao = atuPlanEnvLinkDao;}

  @Override
  public BasicDao<AtuPlanEnvLink> getDao() {return atuPlanEnvLinkDao;}

  @Override
  public AtuPlanEnvLink createEntity() { return new AtuPlanEnvLink();}

  @Override
  protected void beforeInsert(AtuPlanEnvLink record) {

  }

  @Override
  protected void beforeUpdate(AtuPlanEnvLink record) {

  }

    @Override
    public List<String> queryEnvIdByPlanIdOderBySort(String planId) {
        return atuPlanEnvLinkDao.queryEnvIdByPlanIdOderBySort(planId);
    }

  @Override
  public Integer insertLinkList(List<AtuPlanEnvLink> list) {
    return atuPlanEnvLinkDao.insertLinkList(list);
  }

}

